function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map6",5,101);
    set_satelite_leaf("barton_vhod");
    DoFile(5,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;   
          if obj_id==123654 then
      CreateWindow(150,250,"217",123654,nil,250,30); 
          return;end; 
          if obj_id==1236547 then
          ShowMenu(false);
    frame=0;
    add_free_leaf("comics",5,50);
    set_satelite_leaf("barton_vhod");
    DoFile(5,50)
          return;end;                    
     return;end;
  if sender == 26 then
  if obj_id ==123654 then
  StartTimer(1236547,0.5)

  return; end;
  return; end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
  if sender==12 then
  
  if SLevel==1.0 then return;end;
      if obj_id==200 then
      AddElement("gr",obj_id);
      SetAlfaSheet(2.5)
      setcolor(obj_id,0,0,0,0.5,1);
      MoveObjectToTree(obj_id);
      flags.minicomplete38= true;
      flags.energy=true;
    end;
        if obj_id==140 then
        AddElement("gr",obj_id);
        SetAlfaSheet(2.5)
        setcolor(obj_id,0,0,0,0.5,1);
        MoveObjectToTree(obj_id);
     end;
    if obj_id==137 then
        AddElement("gr",obj_id);
        SetAlfaSheet(2.5)
        setcolor(obj_id,0,0,0,0.5,1);
        MoveObjectToTree(obj_id);
     end;
    if flags.loc1 then
      if flags.loc1 and flags.loc2  then
      flags.loc1= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
      return; end;  
      CreateWindow(150,250,"199",nil,nil,250,30);         
    return;end;
  

  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(39,"zvezd",526,280);---zvon
      MoveEmiter("zvezd",526,280);
      if not flags.button then
      StartEmiter("zvezd"); 
      end;

    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
       --CreateWindow(100,100,"198");             
      ------
              savegame(SaveLevel());
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if obj_id==501 then
        if flags.levelcomplete then
      if attachedID==-1 then
        LoadNextLevel()    
      return; end;
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;      
      if obj_id==66 then
        if attachedID==-1 then
        if flags.door then
          setcurentleaf("barton_zal",5,1);
          playeffect("door");
          SwitchToSheet("re");
          savegame(SaveLevel());
        return; end;
        CreateWindow(150,250,"208",nil,nil,250,30); 
        return; end;
      return; end;
      if obj_id == 200 then
        if attachedID==137 then
          RemoveFromMouse(attachedID);
          SetAlfaSheet(2.0)
          DeleteElement("gr",attachedID);
          collaps_obj(obj_id,0,0,10,0);
          playeffect("20");

          
        return;end;            
        if attachedID~=137 and attachedID>-1 then
        RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30); 
        return;end;            
        if attachedID==-1 then
          CreateWindow(150,250,"201",nil,nil,250,30); 
        return;end;    
      return;end;
      if obj_id == 39 then -- обрабатываем объект звонок
        if  attachedID==-1 then 
          CreateWindow(150,250,"202",nil,nil,250,30); 
        return; end; 
        if  (attachedID~=140) and (attachedID>-1) then 
        RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30); 
        return; end;
        if  attachedID==140 then 
        CreateWindow(150,250,"211",nil,nil,250,30); 
          playeffect("chpok");
          RemoveFromMouse(attachedID);
          SetAlfaSheet(2.0)
          DeleteElement("gr",attachedID);
          flags.button=true;  
          Set_Cursor(39,3);
          speciale_action(2,39);  
          speciale_action(2,38);
          Set_Cursor(38,2);
          StopEmiter("zvezd");
        return; end;
      return; end;

      if attachedID==-1 then
      if obj_id == 137 then
        collaps_obj(obj_id,0,0,10,0);
        playeffect("20");

      return; end;
      if obj_id == 140 then
        collaps_obj(obj_id,0,0,10,0);
        playeffect("20");

      return; end;        
      if obj_id==38 then
    if not flags.bell then
      playeffect("dzin");        
      Set_Cursor(38,3);
      StartTimer(123654,0.6)
      Set_Cursor(66,1)


    return; end;
       return; end;
      
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return; end;
  return; end;
----------------------

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
-------------------------На сцене отработали все объекты-------------------------
  if sender==4 then  
  -- WriteToConsole("sender = 4, lev5.0".." "..sender.."\n")
if SLevel==1.0 then return;end;  
    flags.loc1 = true;
  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if flags.loc1 then
      if   (not flags.button) then
        selectrandomobject(1.5,39);
      end;
    selectrandomobject(1.5,38);
  end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  selectrandomobject(1.5,idObject);
end;
